#
# spec file for package yast2-update (Version 2.13.32)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 checkmedia coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp libzypp-zmd-backend limal limal-bootloader limal-perl m4 make man master-boot-code mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules parted patch pcre pcre-devel perl perl-Bootloader perl-Compress-Zlib perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sed sgml-skel sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-bootloader yast2-core yast2-core-devel yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-mouse yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib yast2-testsuite yast2-xml zlib zlib-devel zmd

Name:           yast2-update
Version:        2.13.32
Release:        1.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-update-2.13.32.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer sgml-skel update-desktop-files yast2 yast2-bootloader yast2-devtools yast2-mouse yast2-packager yast2-testsuite yast2-xml
Requires:       yast2 yast2-installation yast2-storage yast2-packager
Provides:       yast2-config-update y2c_update
Obsoletes:      yast2-config-update y2c_update
Provides:       yast2-trans-inst-update y2t_inst-update
Obsoletes:      yast2-trans-inst-update y2t_inst-update
Provides:       yast2-trans-update y2t_update
Obsoletes:      yast2-trans-update y2t_update
Summary:        YaST2 - Update

%description
Use this component if you wish to update your system.



Authors:
--------
    Stefan Schubert <schubi@suse.de>
    Arvin Schnell <arvin@suse.de>

%debug_package
%prep
%setup -n yast2-update-2.13.32

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/*
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/modules/*
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/include/update
/usr/share/YaST2/include/update/*.ycp
/usr/share/YaST2/control/*.xml
%doc %{prefix}/share/doc/packages/yast2-update

%changelog -n yast2-update
* Thu Jun 08 2006 - jsrain@suse.cz
- fixed "Reset to Default" function for SW selection (#177469)
- 2.13.32
* Wed Jun 07 2006 - jsrain@suse.cz
- updated HTTP link to support portal (#180900)
- 2.13.31
* Mon May 29 2006 - jsrain@suse.cz
- display all products to update in proposal (#170233)
- 2.13.30
* Thu May 25 2006 - jsrain@suse.cz
- fixed keeping locked packages during upgrade (#177469)
- 2.13.29
* Mon May 22 2006 - jsrain@suse.cz
- do not delete unmaintained packages if not wanted by user
  (#176788)
- 2.13.28
* Thu May 11 2006 - jsrain@suse.cz
- preselect patterns specified in the content file (#168297)
- 2.13.27
* Wed May 03 2006 - jsrain@suse.cz
- fixed selecting product during update (#172164)
- 2.13.26
* Wed Apr 26 2006 - jsrain@suse.de
- fixed update proposal with patterns (#168297)
- 2.13.25
* Fri Apr 21 2006 - locilka@suse.cz
- calling modprobe with the right parameter (without -t) (#167976)
- 2.13.24
* Thu Apr 20 2006 - lslezak@suse.cz
- fixed counting of removed packages (#162963)
- 2.13.23
* Tue Apr 18 2006 - jsrain@suse.de
- mount target system in root partition selection dialog (#167240)
- 2.13.22
* Fri Apr 14 2006 - jsrain@suse.de
- prevent from returning to root partition selection dialog (#165832)
- 2.13.21
* Thu Apr 13 2006 - jsrain@suse.de
- do not remove old kernel - solver handles it (#165823)
- 2.13.20
* Thu Apr 13 2006 - locilka@suse.cz
- New counting of packages for the update proposal (#162963).
- 2.13.19
* Wed Apr 12 2006 - jsrain@suse.de
- mount /sys before update (#165502)
- 2.13.18
* Wed Apr 12 2006 - locilka@suse.cz
- Fixing number of packages marked to be `removed during the update
  (#162963).
- 2.13.17
* Wed Apr 12 2006 - schubi@suse.de
- removed Pkg::PkgFreshen();
  Bug 165477 - Build 913: Resolver loops on update from 10.0 to 10.1 (x86_64)
* Tue Apr 11 2006 - kkaempf@suse.de
- call PkgFreshen() after calculating Update, not before.
- 2.13.15
* Thu Apr 06 2006 - jsrain@suse.de
- do not display hidden patterns in proposal (#159450)
- 2.13.14
* Wed Apr 05 2006 - jsrain@suse.de
- call Pkg::PkgFreshen when generating update proposal (#156980)
- 2.13.13
* Thu Mar 30 2006 - mvidner@suse.cz
- Don't run the module if another process has the zypp lock (#160319).
- 2.13.12
* Mon Mar 27 2006 - jsrain@suse.de
- set correctlty swap partition info during update (#133993)
- 2.13.11
* Thu Mar 23 2006 - lslezak@suse.cz
- Display correct amounf of removed packages in the update
  proposal (#154720)
- 2.13.10
* Tue Mar 21 2006 - mvidner@suse.cz
- Read version info correctly for pre-10.1 products,
  fixing update with encrypted partitions (#153576).
- 2.13.9
* Wed Mar 15 2006 - jsrain@suse.de
- select proper desktop during update (#156632)
- 2.13.8
* Wed Mar 15 2006 - fehr@suse.de
- remove calls to Storage::ActivateHld(), they are obsolete and
  could seriously mess up an update involving Software Raid,
  LVM or EVMS
* Wed Mar 15 2006 - jsrain@suse.de
- more verbose logging (#133993)
- 2.13.7
* Wed Mar 15 2006 - jsrain@suse.de
- load appropriate kernel module before mounting filesystems
  (#157585)
- updated BuildRequiers
- 2.13.6
* Thu Mar 09 2006 - jsrain@suse.de
- updated summary for pattern-based update (#155473)
- 2.13.5
* Wed Mar 08 2006 - jsrain@suse.de
- fixed pattern handling during update (#153755)
- 2.13.4
* Wed Mar 01 2006 - jsrain@suse.de
- display correctly pattern names
* Wed Mar 01 2006 - jsrain@suse.de
- allow to do update based on patterns (#153755)
- 2.13.3
* Sun Feb 19 2006 - jsrain@suse.de
- don't ask "Try Again" if setting password for encrypted
  filesystem canceled (#144683)
- 2.13.2
* Sun Feb 19 2006 - jsrain@suse.de
- fixed unmounting partitions when different root partition
  selected (#148109)
- 2.13.1
* Fri Jan 27 2006 - locilka@suse.cz
- merged proofread texts
* Wed Dec 21 2005 - visnov@suse.cz
- merged proofread texts
* Fri Dec 16 2005 - jsrain@suse.cz
- display list of partitions to update over whole dialog (#137776)
- removed obsolete gnome-{pre|post}install scripts
- 2.13.0
* Tue Nov 29 2005 - visnov@suse.cz
- removed yast2-x11 from build dependencies
* Wed Nov 23 2005 - jsrain@suse.cz
- show partition label when selecting for update
- 2.12.10
* Fri Nov 11 2005 - jsrain@suse.cz
- ask about the language once root partition is mounted (#71069)
- 2.12.9
* Wed Oct 26 2005 - jsrain@suse.cz
- do not force kernel upgrade if not necessary (#117461)
* Mon Sep 26 2005 - jsrain@suse.cz
- do not ask whether reset detailed software selection if it had
  not been changed (#104579)
* Fri Sep 09 2005 - jsrain@suse.cz
- offer to ask for password of crypted partition again if mounting
  failed (#116082)
- 2.12.8
* Thu Aug 18 2005 - fehr@suse.de
- changes needed for update with crypted partition (#105020)
- 2.12.7
* Thu Aug 11 2005 - jsrain@suse.cz
- fixed buttons in the root partition selection dialog run from
  the proposal (#104038)
- 2.12.6
* Thu Jul 21 2005 - fehr@suse.de
- replace obsolete SCR agent calls by call to Storage::ActivateHld()
- 2.12.5
* Thu Jul 21 2005 - jsrain@suse.cz
- added root partition selection step to installation workflow
- fixed mounting update target
- 2.12.4
* Fri Jul 15 2005 - jsrain@suse.cz
- adapted to new partitioner using storage-lib (arvin)
- 2.12.3
* Mon Jun 06 2005 - jsrain@suse.cz
- update product database when finished update (called from within
  installed system (#75231)
- 2.12.2
* Mon May 30 2005 - jsrain@suse.cz
- don't remove /var/lib/YaST2/users.ycp during update (#84087)
* Mon Apr 18 2005 - jsrain@suse.cz
- adapted to new interfrace of ProductFeatures.ycp
- 2.12.1
* Mon Apr 11 2005 - jsrain@suse.cz
- added more descriptive text when dependencies can't be resolved
  automatically (#75312)
* Thu Mar 31 2005 - jsrain@suse.cz
- adapted to some code moved to SuSERelease.ycp
* Tue Mar 29 2005 - jsrain@suse.cz
- updated the layout of the source files in the repository
- report error from the mount command in case of fail (#72485)
- 2.12.0
* Fri Mar 11 2005 - jsrain@suse.cz
- fixed deleting packages marked to keep during update (#45605)
- fixed counting update statistics (#67099)
- fixed reselcting partition with system to update (#71252)
* Fri Mar 04 2005 - jsrain@suse.cz
- fixed order of Pkg::PkgUpdateAll and Pkg::PkgSolve calls (#67275)
* Wed Mar 02 2005 - jsrain@suse.cz
- merged texts from proofread
* Mon Feb 28 2005 - jsrain@suse.cz
- fixed actualizing packages update summary
* Wed Feb 23 2005 - jsrain@suse.cz
- fixed coments for translators
* Mon Feb 21 2005 - nashif@suse.de
- Added parameter to UnmountPartitions so it can be used
  in autoyast
  V 2.11.13
* Fri Feb 18 2005 - jsrain@suse.cz
- check product compatibility if updating running system
- 2.11.12
* Wed Feb 16 2005 - jsrain@suse.cz
- display more info about update statistics (#37073)
- 2.11.11
* Mon Feb 14 2005 - jsrain@suse.cz
- initialize rebuilddb callbacks during proposal (#50695)
- 2.11.10
* Fri Feb 11 2005 - jsrain@suse.cz
- warn in proposal if out-of-disk-space durign update (#50376)
- 2.11.9
* Thu Feb 10 2005 - jsrain@suse.cz
- drop message to log if partition cannot be used for upgrade due
  to different architecture (#50656)
- warn user if he selects partition to upgrade, where no system
  was founf or the found system has idifferent architecture
  (#50657)
* Wed Feb 09 2005 - jsrain@suse.cz
- do not report errors on unmounting partition if it was unmounted
  successfully (#50619)
* Tue Feb 08 2005 - nashif@suse.de
- #49987: Update running system now has its own control file with
  a mini workflow.
* Mon Feb 07 2005 - jsrain@suse.cz
- merged texts from proofread
- 2.11.7
* Mon Feb 07 2005 - jsrain@suse.cz
- display total size of packages to be updated
- 2.11.6
* Tue Feb 01 2005 - jsrain@suse.cz
- report error if unmounting fails to user (#50377)
- recalculate disk usage during update proposal (#50376)
* Mon Jan 24 2005 - nashif@suse.de
- Fixed calling of inst_proposal
* Mon Jan 17 2005 - jsrain@suse.cz
- offer actions to do if mount of a partition fails (#46310)
* Tue Jan 11 2005 - jsrain@suse.cz
- inform user about new kernel installed if update run from control
  center (#38346)
* Mon Jan 10 2005 - jsrain@suse.cz
- select kernel according to current hardware (#44342)
* Wed Nov 24 2004 - arvin@suse.de
- another fix for gnome-postinstall script (bug #42074)
* Thu Nov 11 2004 - arvin@suse.de
- always use Directory::logdir
* Wed Oct 27 2004 - arvin@suse.de
- adapted to new Mode.ycp
* Tue Oct 19 2004 - kkaempf@suse.de
- fix gnome.postinstall (#46870, #47351)
* Thu Sep 30 2004 - arvin@suse.de
- always include at least empty raw_proposal (see bug #46411)
* Wed Sep 29 2004 - arvin@suse.de
- partly workaround for bug #42074
* Mon Sep 20 2004 - arvin@suse.de
- use Storage::GetOndiskTarget where appropriate
* Mon Sep 20 2004 - arvin@suse.de
- fixed unmounting when switching from update to installation
* Thu Sep 16 2004 - arvin@suse.de
- fixed target map computation and thus bootloader update
  (bug #45332)
* Tue Sep 14 2004 - arvin@suse.de
- try to mount partitions even when the device names have changed
  (bug #44286)
* Thu Sep 09 2004 - arvin@suse.de
- fixed proposal for update from running system
* Wed Sep 08 2004 - arvin@suse.de
- fixed mounting of partitions with UUID (bug #44770)
* Tue Sep 07 2004 - arvin@suse.de
- don't use product information from Update module in RootPart
  module but instead gather it oneself (bug #44724)
* Mon Sep 06 2004 - arvin@suse.de
- major cleanup of RootPart.ycp in preparation for bug #44286
* Thu Sep 02 2004 - arvin@suse.de
- add kernel's nongpl package during installation (bug #44394)
* Fri Aug 27 2004 - arvin@suse.de
- merged proof read messages
* Fri Aug 13 2004 - nashif@suse.de
- added yast2-xml to neededforbuild
- 2.10.5
* Thu Jul 29 2004 - nashif@suse.de
- When reusing fstab in autoyast, format is set to false by default
- Removed unused variables
- 2.10.4
* Tue Jul 20 2004 - arvin@suse.de
- better text in update proposal (bug #38506)
* Tue Jul 20 2004 - arvin@suse.de
- renamed Update::onlyUpdateSelected to onlyUpdateInstalled
  (bug #38486)
* Thu May 27 2004 - arvin@suse.de
- used original target map during update (bug #41250)
* Wed May 12 2004 - arvin@suse.de
- only update selections if the user did not make an manual
  interaction (bug #40358)
* Tue May 04 2004 - arvin@suse.de
- merged proofread messages
* Thu Apr 29 2004 - arvin@suse.de
- handle renaming of device names on iseries (bug #39437)
* Mon Apr 19 2004 - kkaempf@suse.de
- update gnome-postinstall script (#38644)
* Tue Apr 06 2004 - nashif@suse.de
- Use product feature value for update/upgrade (#38486)
* Tue Apr 06 2004 - arvin@suse.de
- added error popup for wrong device of root partition in fstab
* Mon Apr 05 2004 - arvin@suse.de
- load module dm-snapshort at to prevent hangs if LVM contains
  snapshot LVs (#36422)
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Wed Mar 31 2004 - kkaempf@suse.de
- Support for /usr/local in gnome-postinstall. (sbrabec@suse.cz)
* Thu Mar 25 2004 - arvin@suse.de
- change for new crypto handling
- better structured data about old and new version
* Tue Mar 23 2004 - arvin@suse.de
- load dm-mod instead of lvm-mod when searching for root
  partition (bug #36784)
* Tue Mar 16 2004 - kkaempf@suse.de
- add clean up scripts for GNOME (#36196)
* Tue Mar 16 2004 - nashif@suse.de
- Dont format list partitions (autoinst mode)
* Mon Mar 15 2004 - arvin@suse.de
- adapted to changed mode stuff
* Fri Mar 12 2004 - nashif@suse.de
- add function to format/mount partitions using installed
  fstab to be used for auto-installation.
* Wed Mar 10 2004 - arvin@suse.de
- maybe fixed root partition detection
* Thu Mar 04 2004 - arvin@suse.de
- handle ProductFeatures::delete_old_packages (bug #35235)
* Wed Mar 03 2004 - arvin@suse.de
- correctly initialize old product name during update
* Tue Mar 02 2004 - visnov@suse.cz
- added type info for lists/maps
* Sat Feb 28 2004 - kkaempf@suse.de
- fix typo from last change
* Fri Feb 27 2004 - arvin@suse.de
- initialize old product name during update
* Thu Feb 26 2004 - nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
* Wed Feb 25 2004 - arvin@suse.de
- also detect RHAS (bug #34983)
* Tue Feb 24 2004 - arvin@suse.de
- readded update in running system (bug #34538)
- set default to "only update" when updating in running system
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch
  to std::sort
* Tue Feb 10 2004 - arvin@suse.de
- fixed missing argument in proposal_packages.ycp
* Mon Jan 19 2004 - arvin@suse.de
- united inst_rpmcopy.ycp and inst_rpmupdate.ycp
* Fri Jan 16 2004 - arvin@suse.de
- restore callbacks after slideshow
* Mon Sep 29 2003 - arvin@suse.de
- removed module for update from running system (bug #31824)
* Thu Sep 18 2003 - kkaempf@suse.de
- if there are replacements for installed selections, use them
  (#31211)
* Wed Sep 17 2003 - arvin@suse.de
- activate lvm while searching for root partitions (bug #30723)
- use real partition table during search for root partitions
* Tue Sep 16 2003 - kkaempf@suse.de
- when upgrading to new base selection, first activate the
  selection, then do the update loop. (part of #31001)
* Tue Sep 16 2003 - arvin@suse.de
- fixed backup of /etc/rc.config.d
* Mon Sep 15 2003 - msvec@suse.cz
- another missing translation mark
- 2.8.21
* Mon Sep 15 2003 - arvin@suse.de
- fixed backup of /etc/rc.config
* Sun Sep 14 2003 - arvin@suse.de
- rewrote selection handling (bug #30460 and hopefully many more)
* Fri Sep 12 2003 - arvin@suse.de
- more or less ignore conflict during update (workaround for
  bug #30550)
* Thu Sep 11 2003 - arvin@suse.de
- update mode for package selector is back (bug #29906)
* Thu Sep 11 2003 - kkaempf@suse.de
- move Pkg::SetLocale() to Packages::Init() (#30438)
* Thu Sep 11 2003 - arvin@suse.de
- try to backup /etc/rc.config if /etc/sysconfig doesn't exist
  (bug #30482)
* Tue Sep 09 2003 - kkaempf@suse.de
- Fallback to highest ordered base selection if the installed base
  selection doesn't have a counterpart. (#29904)
- 2.8.14
* Mon Sep 08 2003 - arvin@suse.de
- sync rpm database
* Thu Sep 04 2003 - arvin@suse.de
- added space check (bug #29705)
* Wed Sep 03 2003 - arvin@suse.de
- activate md and lvm
* Mon Sep 01 2003 - arvin@suse.de
- avoid leading "/mnt" in backup of /etc/sysconfig
* Sun Aug 31 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Fri Aug 29 2003 - arvin@suse.de
- install callbacks for converting rpm database (bug #29484)
* Fri Aug 29 2003 - arvin@suse.de
- show error when media is broken (bug #29489)
* Tue Aug 26 2003 - arvin@suse.de
- solve errors cause a blocker during update (bug #29320)
* Fri Aug 22 2003 - arvin@suse.de
- only run inst_rpmupdate during update
* Tue Aug 19 2003 - arvin@suse.de
- removed obsolete include
* Wed Aug 13 2003 - arvin@suse.de
- fixed detection of root partitions (bug #28719)
* Mon Jul 28 2003 - arvin@suse.de
- ignore read-only option when mounting partitions for update
  (part of several bug reports)
* Wed Jul 16 2003 - arvin@suse.de
- remove old yast stuff (e.g. you files) before running update
* Tue Jul 15 2003 - arvin@suse.de
- make backup (archive) of /etc/sysconfig (bug #25283)
- allow user to remove old backups
* Thu Jul 10 2003 - arvin@suse.de
- fixed help text for dialog to select root partition (bug #8014)
* Thu Jul 10 2003 - arvin@suse.de
- only offer systems with same architecture as installation
  medium for update (bug #25377)
* Fri Jul 04 2003 - arvin@suse.de
- allow selection of all root partition (bug #16643)
* Fri Jul 04 2003 - arvin@suse.de
- convert update workflow into a proposal
* Tue Mar 18 2003 - kkaempf@suse.de
- Set Mode::update so Bootloader clean old boot configuration
  (i.e. removing dropped modules from initrd) correctly.
- 2.7.15
* Tue Mar 18 2003 - kkaempf@suse.de
- remove old (defective) list of still-to-be-installed source
  rpms (#25578)
- rename "Boot" to "Bootloader" (#25558)
- 2.7.14
* Tue Mar 18 2003 - kkaempf@suse.de
- remove unneeded import "Boot" from update.ycp
- 2.7.13
* Tue Mar 18 2003 - sh@suse.de
- Fixed complaints about undeclared variable Upgrade::userChangedState
  (it's Update::userChangedState)
* Mon Mar 17 2003 - kkaempf@suse.de
- if no product can be determined, use /etc/*-release
- 2.7.11
* Sat Mar 15 2003 - kkaempf@suse.de
- move the "seen_details" flag to the global Update module (#24927)
- 2.7.10
* Fri Mar 14 2003 - kkaempf@suse.de
- if user was in single package selection, he has seen the
  details (#24927)
- 2.7.9
* Fri Mar 07 2003 - arvin@suse.de
- only search for root partition on partitions with file system
  we know about (bug #24740)
* Wed Mar 05 2003 - kkaempf@suse.de
- check "selection changed by user" status better (#23616).
* Tue Mar 04 2003 - kkaempf@suse.de
- default to 'delete packages without replacement' during
  update (#24534)
- 2.7.6
* Mon Mar 03 2003 - arvin@suse.de
- once more merged proofread texts
* Mon Feb 24 2003 - kkaempf@suse.de
- fix logfile name in error popup (#24188)
* Wed Feb 12 2003 - kkaempf@suse.de
- remove "/usr/share/info/dir" on target if not owned by
  any package (#23555)
* Mon Feb 10 2003 - arvin@suse.de
- merged proofread messages
* Fri Feb 07 2003 - arvin@suse.de
- merged proofread messages
* Tue Nov 05 2002 - kkaempf@suse.de
- close initial dialog window properly (#21377)
- 2.6.23
* Fri Sep 13 2002 - lslezak@suse.cz
- propagate info about all partitions to Storage:: at update
- version 2.6.22
* Fri Sep 13 2002 - lnussel@suse.de
- write /var/lib/YaST2/backup_path so info about backups doesn't get lost after
  reboot (#19629)
- 2.6.21
* Fri Sep 13 2002 - fehr@suse.de
- fix another code path where to propagate info about root partition
- 2.6.20
* Thu Sep 12 2002 - fehr@suse.de
- propagate info about root partition for update to Storage module
- make update on md partition work
- remove keyboard handling stuff was wrong anyway, keyboard is now
  set at start of installation in inst_language
- 2.6.19
* Thu Sep 12 2002 - kkaempf@suse.de
- set selection if user accepts default.
- init space calculation (#19548)
- 2.6.18
* Thu Sep 12 2002 - kkaempf@suse.de
- set locale in package manager (#19536)
- 2.6.17
* Thu Sep 12 2002 - kkaempf@suse.de
- check vfstype for "proc", not "spec". Older systems have
  a different fstab.
- show installed product if called from running system.
- 2.6.16
* Wed Sep 11 2002 - kkaempf@suse.de
- implement save/restore for package selection
* Wed Sep 11 2002 - kkaempf@suse.de
- neutralize "cups" during update
- 2.6.15
* Wed Sep 11 2002 - kkaempf@suse.de
- fix syntax error
- 2.6.14
* Wed Sep 11 2002 - kkaempf@suse.de
- pass "update_installed_only" to solver
- 2.6.12
* Tue Sep 10 2002 - arvin@suse.de
- added provides/obsoletes y2t_update (bug #19325)
* Tue Sep 10 2002 - kkaempf@suse.de
- convert runlevel if update 7.0 or older
- 2.6.11
* Mon Sep 09 2002 - kkaempf@suse.de
- add script to update passwd and groups so both include
  the minimal set of required entries
- drop "noarch"
- 2.6.10
* Mon Sep 09 2002 - kkaempf@suse.de
- drop Save/Restore from Update, it's done via "remaining"
  and inst_rpmcopy.
- 2.6.9
* Sat Sep 07 2002 - kkaempf@suse.de
- drop user choosing of kernel, that's possible in package UI
- force installation of new kernel if running from inst-sys
- 2.6.8
* Fri Sep 06 2002 - kkaempf@suse.de
- forceUpdate not needed any more.
- 2.6.7
* Fri Sep 06 2002 - kkaempf@suse.de
- clean up code, use yast2-packager after restart
- 2.6.6
* Fri Sep 06 2002 - kkaempf@suse.de
- write update status for restart
- 2.6.5
* Thu Sep 05 2002 - kkaempf@suse.de
- use Pkg:: functions for rpm backup
- implement rebuilddb callback
- call PkgSolve
- properly init slide show
- write remaining list so inst_rpmcopy can take over
- 2.6.4
* Wed Sep 04 2002 - kkaempf@suse.de
- re-add inst_* modules from update in order to keep
  textdomains apart (#18876)
- 2.6.3
* Wed Sep 04 2002 - msvec@suse.cz
- provide the old client name temporarily for compatibility
- 2.6.2
* Wed Sep 04 2002 - msvec@suse.cz
- provide/obsolete old translation packages
- rename clients from sw_update to simply update
- 2.6.1
* Tue Jul 09 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes.
* Tue Jul 02 2002 - kkaempf@suse.de
- rename to yast2-update.
* Mon Mar 25 2002 - schubi@suse.de
- Calling mk_initrd and lilo after updating kernel #15443
* Fri Mar 08 2002 - gs@suse.de
- Read the package information always from source medium, don't
  use locally saved description (bug #14612)
* Mon Feb 18 2002 - gs@suse.de
-  Create the initial dialog for Change source (bug #13464)
* Tue Feb 12 2002 - schubi@suse.de
- Showing SuSEConfig correctly.
* Tue Feb 12 2002 - schubi@suse.de
- user_settings and PKGINFO calls removed
* Tue Sep 18 2001 - schubi@suse.de
- InstMedia initialized
* Fri Sep 14 2001 - schubi@suse.de
- unmounting Medium correctly before exit #10555
* Thu Sep 06 2001 - kkaempf@suse.de
- properly mount/unmount medium.
* Mon Aug 20 2001 - gs@suse.de
- internal: remove deprecated agent calls
* Fri Jul 20 2001 - schubi@suse.de
- error popup with right language #8375
* Thu May 10 2001 - gs@suse.de
- missing include "common_functions.ycp" added (bug # 8003)
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguage()) parameter
* Tue Apr 17 2001 - gs@suse.de
- rename of translation package
* Fri Apr 13 2001 - gs@suse.de
- internal: use of report_architecture
* Fri Apr 06 2001 - gs@suse.de
- package rename, use of common popups
* Tue Jan 23 2001 - kkaempf@suse.de
- added proper textdomain call
* Fri Jan 12 2001 - schubi@suse.de
- Reading targetroot via SCR
* Thu Jan 11 2001 - schubi@suse.de
- bugfix 5502
* Thu Jan 11 2001 - schubi@suse.de
- Global variables added
* Wed Jan 10 2001 - schubi@suse.de
- Bugfix in changing installtion-medium
* Thu Jan 04 2001 - kkaempf@suse.de
- fix Requires field
* Thu Jan 04 2001 - kkaempf@suse.de
- declare needed global vars correctly
* Wed Dec 13 2000 - schubi@suse.de
- new menue-entry
* Wed Dec 13 2000 - schubi@suse.de
- YaST2 version read and stored into global variable
* Wed Dec 13 2000 - schubi@suse.de
- targetroot reading per SCR
* Thu Nov 02 2000 - gs@suse.de
- initial version
